## ros-melodic-qt-tutorials 0.2.10

=== qlistener/CMakeLists.txt ===
##############################################################################
# Sections
##############################################################################

file(GLOB_RECURSE QT_MOC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} FOLLOW_SYMLINKS *.hpp)
QT4_WRAP_CPP(QT_MOC_HPP ${QT_MOC})

##############################################################################
# Sources
##############################################################################

file(GLOB_RECURSE QT_SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} FOLLOW_SYMLINKS *.cpp)

##############################################################################
# Binaries
##############################################################################

add_executable(qlistener ${QT_SOURCES} ${QT_MOC_HPP})
target_link_libraries(qlistener qtutorials)
install(TARGETS qlistener RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== qtalker/CMakeLists.txt ===
##############################################################################
# Sections
##############################################################################

file(GLOB_RECURSE QT_MOC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} FOLLOW_SYMLINKS *.hpp)
QT4_WRAP_CPP(QT_MOC_HPP ${QT_MOC})

##############################################################################
# Sources
##############################################################################

file(GLOB_RECURSE QT_SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} FOLLOW_SYMLINKS *.cpp)

##############################################################################
# Binaries
##############################################################################

add_executable(qtalker ${QT_SOURCES} ${QT_MOC_HPP})
target_link_libraries(qtalker qtutorials)
install(TARGETS qtalker RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-melodic-qt-tutorials (0.2.10-1stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 10 Mar 2020 13:08:41 -0000

ros-melodic-qt-tutorials (0.2.7-1stretch) stretch; urgency=high

  * update for indigo

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 27 Jul 2014 04:00:00 -0000

ros-melodic-qt-tutorials (0.2.4-1stretch) stretch; urgency=high

  * Fix: Parse error at BOOST_JOIN in Qt's moc (fix #8 <https://github.com/stonier/qt_ros/issues/8>).
  * Contributors: Benjamin Chretien

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 04 Mar 2014 05:00:00 -0000

ros-melodic-qt-tutorials (0.2.2-1stretch) stretch; urgency=high

  * add cmake_minimum_required to the cmake logic (build farm needs it)

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 24 Oct 2013 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-qt-tutorials
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libqt4-dev, ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-qt-build, ros-melodic-roscpp, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-qt-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dev, ros-melodic-message-runtime, ros-melodic-qt-build, ros-melodic-roscpp, ros-melodic-std-msgs
Description: Example qt programs, generated from code similar to that used by the roscreate-qt-pkg script and styled on roscpp_tutorials.
